--THIS IS HOW YOU SPELL PERIODIC = periodic

require("prototype.item")
require("prototype.technology")
require("prototype.recipe")

local resource_autoplace = require('resource-autoplace');
local noise = require('noise');

data:extend({
	{
    type = "autoplace-control",
    category = "resource",
    name = "pm-transition-metals",
    richness = true,
    order = "b-e"
	},
	{
    type = "noise-layer",
    name = "pm-transition-metals"
	},
	{
    type = "resource",
    icon_size = 64,
    name = "pm-transition-metals",
    icon = "__periodic-madness__/graphics/icons/ores/transition-metals-icon.png",
    flags = {"placeable-neutral"},
    order="a-b-a",
    map_color = {r=0.67, g=0.40, b=1.00},
    minable =
    {
      hardness = 1,
      mining_particle = "copper-ore-particle",
      mining_time = 1,
      result = "pm-transition-metals-ore"
    },
    collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
    selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},

    autoplace = resource_autoplace.resource_autoplace_settings{
      name = "pm-transition-metals",
      order = "b-z",
      base_density = 7,
      base_spots_per_km2 = 1,
      has_starting_area_placement = false,
      regular_rq_factor_multiplier = 1.2,
      starting_rq_factor_multiplier = 1.7,
      additional_richness = 20000
    },

    stage_counts = {15000, 9500, 5500, 2900, 1300, 400, 150, 80},
        stages =
        {
          sheet =
          {
      filename = "__periodic-madness__/graphics/entities/transition-metals/transition-metals-ore.png",
      priority = "extra-high",
      size = 64,
      frame_count = 8,
      variation_count = 8,
      hr_version =
      {
      filename = "__periodic-madness__/graphics/entities/transition-metals/hr-transition-metals-ore.png",
        priority = "extra-high",
        size = 128,
        frame_count = 8,
        variation_count = 8,
        scale = 0.5
      }
          }
    },
  },

--nickel ore

  {
    type = "autoplace-control",
    category = "resource",
    name = "pm-nickel-ore",
    richness = true,
    order = "b-e"
	},
	{
    type = "noise-layer",
    name = "pm-nickel-ore"
	},
	{
    type = "resource",
    icon_size = 64,
    name = "pm-nickel-ore",
    icon = "__periodic-madness__/graphics/icons/ores/nickel-ore-icon.png",
    flags = {"placeable-neutral"},
    order="a-b-a",
    map_color = {r=0.70, g=0.70, b=0.80},
  
    minable =
    {
      hardness = 1,
      mining_particle = "iron-ore-particle",
      mining_time = 1,
      result = "pm-nickel-ore"
    },
    collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
    selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},

    autoplace = resource_autoplace.resource_autoplace_settings{
      name = "pm-nickel-ore",
      order = "b-z",
      base_density = 3,
      base_spots_per_km2 = 1,
      has_starting_area_placement = true,
      regular_rq_factor_multiplier = 1.3,
      starting_rq_factor_multiplier = 1.1,
    },

    stage_counts = {15000, 10000, 5500, 3000, 1300, 400, 200, 100},
        stages =
        {
          sheet =
          {
      filename = "__periodic-madness__/graphics/entities/ores/nickel-ore.png",
      priority = "extra-high",
      size = 64,
      frame_count = 8,
      variation_count = 8,
      hr_version =
      {
      filename = "__periodic-madness__/graphics/entities/ores/hr-nickel-ore.png",
        priority = "extra-high",
        size = 128,
        frame_count = 8,
        variation_count = 8,
        scale = 0.5
      }
          }
    },
  },

  {
    type = "autoplace-control",
    category = "resource",
    name = "pm-zinc-ore",
    richness = true,
    order = "b-e"
	},
	{
    type = "noise-layer",
    name = "pm-zinc-ore"
	},
	{
    type = "resource",
    icon_size = 64,
    name = "pm-zinc-ore",
    icon = "__periodic-madness__/graphics/icons/ores/zinc-ore-icon.png",
    flags = {"placeable-neutral"},
    order="a-b-a",
    map_color = {r=0.90, g=0.8, b=0.69},
    minable =
    {
      hardness = 1,
      mining_particle = "iron-ore-particle",
      mining_time = 1,
      result = "pm-zinc-ore"
    },
    collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
    selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},

    autoplace = resource_autoplace.resource_autoplace_settings{
      name = "pm-zinc-ore",
      order = "b-z",
      base_density = 4,
      base_spots_per_km2 = 1,
      has_starting_area_placement = false,
      regular_rq_factor_multiplier = 1.5,
      starting_rq_factor_multiplier = 1.9,
    },

    stage_counts = {20000, 10000, 6500, 3000, 1500, 500, 220, 50},
        stages =
        {
          sheet =
          {
      filename = "__periodic-madness__/graphics/entities/ores/zinc-ore.png",
      priority = "extra-high",
      size = 64,
      frame_count = 8,
      variation_count = 8,
      hr_version =
      {
      filename = "__periodic-madness__/graphics/entities/ores/hr-zinc-ore.png",
        priority = "extra-high",
        size = 128,
        frame_count = 8,
        variation_count = 8,
        scale = 0.5
      }
          }
    },
  }
})

local AcidPlant = table.deepcopy(data.raw["assembling-machine"]["chemical-plant"])

AcidPlant.name = "pm-acid-plant"
AcidPlant.max_health = 300
AcidPlant.crafting_speed = 0.5
AcidPlant.energy_usage = "120kW"
AcidPlant.crafting_categories = {"pm-acids"}
AcidPlant.minable = { mining_time = 0.1, result = "pm-acid-plant"}


data:extend{(AcidPlant)}

local AssMachine0 = table.deepcopy(data.raw["assembling-machine"]["assembling-machine-1"])

AssMachine0.name = "pm-assembling-machine-0"
AssMachine0.max_health = 500
AssMachine0.crafting_speed = 0.25
AssMachine0.energy_usage = "100kW"
AssMachine0.minable = { mining_time = 0.2, result = "pm-assembling-machine-0"}
AssMachine0.energy_source =
  {
    type = "burner",
    fuel_category = "chemical",
    effectivity = 1,
    fuel_inventory_size = 1,
    emissions_per_minute = 4,
  }

data:extend{(AssMachine0)}

