local Automation = data.raw["technology"]["automation"]

Automation.effects =
{
    {
        type = "unlock-recipe",
        recipe = "pm-acid-plant"
    },
    {
        type = "unlock-recipe",
        recipe = "assembling-machine-1"
    },
    {
        type = "unlock-recipe",
        recipe = "long-handed-inserter"
    },
}

local ATMSTech = data.raw["technology"]["logistic-science-pack"]

ATMSTech.icon_size = 256
ATMSTech.icon = "__periodic-madness__/graphics/icons/science/advanced-transition-metal-unlock.png"
ATMSTech.prerequisites = {"pm-advanced-transition-metal-refining"}
ATMSTech.time = 20

local AdvancedTMScience = data.raw["tool"]["logistic-science-pack"]

AdvancedTMScience.icon = "__periodic-madness__/graphics/icons/science/advanced-transition-metal-pack.png"
AdvancedTMScience.icon_size = 64

data.raw["technology"]["steel-processing"] = nil

local EarlyBattery = data.raw["technology"]["electronics"]

EarlyBattery.effects = 
{
    {   
        type = "unlock-recipe",
        recipe ="pm-voltatic-pile-battery"
    }
}

local RedCircuitFix = data.raw["technology"]["advanced-electronics"]

RedCircuitFix.prerequisites = {"pm-gold-processing", "pm-advanced-electronic-crafting"}

data:extend({
{
    type = "technology",
    name = "steel-processing",
    icon_size = 256,
    icon = "__periodic-madness__/graphics/technology/alloying-tech.png",
    effects =
    {
        {
            type = "unlock-recipe",
            recipe = "pm-brass-plate"
        },
        {
            type = "unlock-recipe",
            recipe = "pm-brass-cogs"
        },
        {
            type = "unlock-recipe",
            recipe = "pm-zinc-plate"
        },
        {
            type = "unlock-recipe",
            recipe = "steel-plate"
        }
    },
    unit =
    {
        count = 25,
        ingredients =
        {
            {"automation-science-pack", 1}
        },
        time = 5
    }
    
},
{
    type = "technology",
    name = "pm-advanced-transition-metal-refining",
    icon_size = 256,
    icon = "__periodic-madness__/graphics/technology/advanced-transition-metal-refining.png",
    effects =
    {
        {
            type = "unlock-recipe",
            recipe = "pm-water-acifying"
        },
        {
            type = "unlock-recipe",
            recipe = "pm-silver-plate",
        },
        {
            type = "unlock-recipe",
            recipe = "pm-gold-plate",
        },
        {
            type = "unlock-recipe",
            recipe = "pm-molybdenum-plate",
        },
        {
            type = "unlock-recipe",
            recipe = "pm-silver-leeching",
        },
        {
            type = "unlock-recipe",
            recipe = "pm-mercury-leeching"
        },
        {
            type = "unlock-recipe",
            recipe = "pm-gold-leeching",
        },
        {
            type = "unlock-recipe",
            recipe = "pm-molybdenum-leeching"
        },
        {
            type = "unlock-recipe",
            recipe = "pm-mercury-powdering",
        },
        {
            type = "unlock-recipe",
            recipe = "pm-mercury-liquifying"
        },
    },
    prerequisites = {"automation"},
    unit =
    {
        count = 50,
        ingredients = 
        {
            {"automation-science-pack", 1},
        },
        time = 10
    }
},
{
    type = "technology",
    name = "pm-water-distillation",
    icon_size = 256,
    icon = "__periodic-madness__/graphics/technology/water-distillation-tech.png",
    effects =
    {
        {
            type = "unlock-recipe",
            recipe = "pm-water-desaltination"
        },
        {
            type = "unlock-recipe",
            recipe = "pm-transition-metal-washing"
        }
    },
    prerequisites = {"automation-2"},
    unit =
    {
        count = 50,
        ingredients = 
        {
            {"automation-science-pack", 1},
            {"logistic-science-pack", 1}
        },
        time = 15
    }
},
{
    type = "technology",
    name = "pm-silver-processing",
    icon_size = 256,
    icon = "__periodic-madness__/graphics/technology/silver-processing.png",
    effects =
    {
        {
            type = "unlock-recipe",
            recipe = "pm-silver-plate"
        },
        {
            type = "unlock-recipe",
            recipe = "pm-silver-plating"
        },
    },
    prerequisites = {"logistic-science-pack"},
    unit =
    {
        count = 75,
        ingredients = 
        {
            {"automation-science-pack", 1},
            {"logistic-science-pack", 1}
        },
        time = 15
    }
},
{
    type = "technology",
    name = "pm-gold-processing",
    icon_size = 256,
    icon = "__periodic-madness__/graphics/technology/gold-processing.png",
    effects =
    {
        {
            type = "unlock-recipe",
            recipe = "pm-gold-wire"
        },
    },
    prerequisites = {"logistic-science-pack"},
    unit =
    {
        count = 75,
        ingredients = 
        {
            {"automation-science-pack", 1},
            {"logistic-science-pack", 1}
        },
        time = 15
    }
},
{
    type = "technology",
    name = "pm-advanced-electronic-crafting",
    icon_size = 256,
    icon = "__periodic-madness__/graphics/technology/advanced-circuit-crafting.png",
    effects =
    {
        {
            type = "unlock-recipe",
            recipe = "pm-transistors"
        },
        {
            type = "unlock-recipe",
            recipe = "pm-advanced-circuit-breadboard"
        },
        {
            type = "unlock-recipe",
            recipe = "pm-advanced-integrated-circuits"
        }
    },
    prerequisites = {"plastics"},
    unit =
    {
        count = 200,
        ingredients = 
        {
            {"automation-science-pack", 1},
            {"logistic-science-pack", 1}
        },
        time = 20
    }
},
})
